<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:7edd339d-4699-4952-936c-e91db7bff5ee,g:d0dc5b73-c59d-4e89-a182-15ef5c76a1f7-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:viscofan="http://www.viscofan.com/20251231" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.viscofan.com/20251231">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd"/>
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-es.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-es.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="95980020140005684765-2025-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="95980020140005684765-2025-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="95980020140005684765-2025-12-31_lab-es.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="95980020140005684765-2025-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="EstadodelresultadoglobalderesultadospornaturalezadelgastoStatement" roleURI="http://www.viscofan.com/role/EstadodelresultadoglobalderesultadospornaturalezadelgastoStatement">
        <link:definition>[0000001] Estado del resultado global, de resultados, por naturaleza del gasto (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EstadodelresultadoglobalderesultadospornaturalezadelgastoStatement_1" roleURI="http://www.viscofan.com/role/EstadodelresultadoglobalderesultadospornaturalezadelgastoStatement_1">
        <link:definition>[0000001] Estado del resultado global, de resultados, por naturaleza del gasto (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EstadodelresultadoglobalcomponentesORIpresentadosantesdeimpuestosStatement" roleURI="http://www.viscofan.com/role/EstadodelresultadoglobalcomponentesORIpresentadosantesdeimpuestosStatement">
        <link:definition>[0000002] Estado del resultado global, componentes ORI presentados antes de impuestos (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EstadodelresultadoglobalcomponentesORIpresentadosantesdeimpuestosStatement_1" roleURI="http://www.viscofan.com/role/EstadodelresultadoglobalcomponentesORIpresentadosantesdeimpuestosStatement_1">
        <link:definition>[0000002] Estado del resultado global, componentes ORI presentados antes de impuestos (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EstadodecambiosenelpatrimonionetoStatement" roleURI="http://www.viscofan.com/role/EstadodecambiosenelpatrimonionetoStatement">
        <link:definition>[0000003] Estado de cambios en el patrimonio neto (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EstadodesituacinfinancieracorrientenocorrienteStatement" roleURI="http://www.viscofan.com/role/EstadodesituacinfinancieracorrientenocorrienteStatement">
        <link:definition>[0000004] Estado de situación financiera, corriente / no corriente (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EstadodeflujosdeefectivomtodoindirectoStatement" roleURI="http://www.viscofan.com/role/EstadodeflujosdeefectivomtodoindirectoStatement">
        <link:definition>[0000005] Estado de flujos de efectivo, método indirecto (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalizasquedebenaplicarsesilainformacincorrespondientefiguraenuninformeStatement" roleURI="http://www.viscofan.com/role/BalizasquedebenaplicarsesilainformacincorrespondientefiguraenuninformeStatement">
        <link:definition>[0000006] Balizas que deben aplicarse si la información correspondiente figura en un informe (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://www.viscofan.com/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="viscofan_ReservasMember" abstract="true" name="ReservasMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="viscofan_ResultadoDelEjercicioAtribuidoALaEntidadDominanteMember" abstract="true" name="ResultadoDelEjercicioAtribuidoALaEntidadDominanteMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="viscofan_DividendoACuentaMember" abstract="true" name="DividendoACuentaMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="viscofan_EntregaDeAccionesPropiasDividendoACuenta" abstract="false" name="EntregaDeAccionesPropiasDividendoACuenta" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="viscofan_EntregaDeAccionesPropiasVariable" abstract="false" name="EntregaDeAccionesPropiasVariable" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="viscofan_ReservasAcumuladas" abstract="false" name="ReservasAcumuladas" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="viscofan_ResultadoDelEjercicio" abstract="false" name="ResultadoDelEjercicio" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="viscofan_DividendoACuenta" abstract="false" name="DividendoACuenta" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="viscofan_OtrosPasivosFinancierosNoCorrientesExcluyendoLosPasivosFinancierosDerivadosNoCorrientes" abstract="false" name="OtrosPasivosFinancierosNoCorrientesExcluyendoLosPasivosFinancierosDerivadosNoCorrientes" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="viscofan_PasivosFinancierosCorrientesExcluyendoLosPasivosFinancierosDerivadosCorrientes" abstract="false" name="PasivosFinancierosCorrientesExcluyendoLosPasivosFinancierosDerivadosCorrientes" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="viscofan_ContribucionesYOtrosPagosRelacionadosConPlanesDePensiones" abstract="false" name="ContribucionesYOtrosPagosRelacionadosConPlanesDePensiones" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
